public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
Date: Wed, 17 May 2023 00:37:53 +0000 (UTC)	[thread overview]
Message-ID: <1684283590.348376dac61e7257991207383369aa8e7ae3e781.sam@gentoo> (raw)

commit:     348376dac61e7257991207383369aa8e7ae3e781
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 00:33:10 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 17 00:33:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=348376da

dev-util/fq: add 0.6.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.6.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 21c052920477..11779dba1790 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -6,3 +6,5 @@ DIST fq-0.4.0-deps.tar.xz 23528264 BLAKE2B e547edf1bdd5ffdc567d820f3a8dbe5a87a1b
 DIST fq-0.4.0.tar.gz 14024197 BLAKE2B d3de6e8b88aa4589d4edb18539bc13110bcfcdd3599f3c9b0759e5883e72f31ebe14eeb70a71b6333fd68b5ea97c0f0d1568788d94b7fb6a922f4fccf32d964f SHA512 8c8eeec5f701cbd9310f0cf44cbb5853602df84d21071a481a62cb864fe96925f0c143593c8c90b29c646aeb54d535c274e6745bfd51fddc8cfedffcfc57c712
 DIST fq-0.5.0-deps.tar.xz 23548612 BLAKE2B 2ad41a19b4f600df4ef1ad4e900d037d5df2b4249d1019e8335511ed05dc3c9dcb48db28ca052e61ca07384d1930ef25c9ac3e768c18bdba6069cd51665e219d SHA512 ab8a960a97eb4aac42adcbb9ce7bea13193439c90d9eeea3ba291f67f133953dfb9d0dbcae25a32c25f8284aedd6ff50c7719953ed2cc710839636f09f6964f4
 DIST fq-0.5.0.tar.gz 14043325 BLAKE2B a69d2f8602c8a1def0aff3c291e6ace23509e53a96c3b0e11e0353bc8a35cdd7ca6a8c8d1d72557e1c6895154d5e62070a7cd35ac76224c676c7e708e512d349 SHA512 21d0d23c21d12188bff10845b1c31cc8535f31ccef54d2b3e5b9b9770d6d0c830a9d83db3fb7f6559e940227bdcd8fdb3df45eccc2ab4cfe2e36214585e21343
+DIST fq-0.6.0-deps.tar.xz 23555196 BLAKE2B 9cdaefa577a4f795cdae1ad548a973439e3f9bc00570cee15009fbcc09002598e58888c00ed2179425c124cc00b213476717755e07c580e4e6664649448d5938 SHA512 075f51047f3c8884dd220d14fb72a1b35f2988cc4f5ff103349f4727361be1d0ed404526eaebf8481ab215e8cbca1f20c74981710403b74110311b0e50231fab
+DIST fq-0.6.0.tar.gz 14669090 BLAKE2B 6ad6be12df84e8c21f01679a1dcb94b9095735570843258fe302c5b1ac0d45305fdb4ad15fff287077ecdd20bc51af56f9036127e7dcfc23b69160dc4ee04d75 SHA512 625bef47f03115d52a960ce1afb5f850f8cd8a5414a12df3213fd3af6e6d9b7c0022dc62ee2d424d6dcbee828c9c8f233050e9d0afb880aac2864c2b24737f40

diff --git a/dev-util/fq/fq-0.6.0.ebuild b/dev-util/fq/fq-0.6.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


             reply	other threads:[~2023-05-17  0:37 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-17  0:37 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-22  4:50 [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/ Sam James
2024-08-15  0:26 Sam James
2024-04-17 22:01 Sam James
2024-04-15  7:27 Sam James
2024-02-27 23:00 Sam James
2024-02-27 23:00 Sam James
2024-02-27 22:06 Sam James
2024-01-07 13:26 Sam James
2023-12-03  8:24 Sam James
2023-11-25  5:28 Sam James
2023-11-04 10:52 Sam James
2023-09-29 23:54 Sam James
2023-09-29 23:54 Sam James
2023-07-09  7:59 Sam James
2023-06-25  7:05 Sam James
2023-06-10  7:08 Sam James
2023-06-10  4:20 Sam James
2023-04-19  6:26 Sam James
2023-04-13 19:07 Sam James
2023-03-22  5:27 Sam James
2023-03-09  1:03 Sam James
2023-02-12  6:22 Sam James
2022-12-25 21:24 Sam James
2022-12-25 20:26 Arthur Zamarin
2022-12-25 20:17 Arthur Zamarin
2022-12-24 12:55 Sam James
2022-12-24 12:55 Sam James
2022-12-24 12:55 Sam James
2022-12-24 12:55 Sam James
2022-12-24  6:35 Sam James
2022-12-23  8:55 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684283590.348376dac61e7257991207383369aa8e7ae3e781.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox